#ifndef _CONFIG_H_

#define _CONFIG_H_

#include <stdio.h>
#include <sys/types.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include "utility.h"
#include "../config.h"

#include <stdlib.h>

#define MAX_OPS 10
#define OP_NAME_LEN 20
#define OP_PASS_LEN 20

extern char server_name[30];
extern char user_modes[10];
extern char chan_modes[10];
extern char load_date[20];
extern struct irc_op *irc_ops[MAX_OPS];


struct irc_op {
	char name[OP_NAME_LEN];
	char pass[OP_PASS_LEN];
	/* char host[OP_HOST_LEN]; */
};

#define SERVER_VER "0.5 Beta"
#define DEFAULT_PART "I really like this server"

/* Config file parsing functions */
int parse_config_file(char *,struct sockaddr_in *);
static int set_values(char *,char *,struct sockaddr_in *);

#endif

