#ifndef _CMD_PING_H_

#define _CMD_PING_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>
#include <netdb.h>
#include "network.h"
#include "client.h"
#include "parse.h"
#include "ircd.h"

/* Server response to a PING command */
int cmd_ping(struct clientinfo *,struct parsed_cmd *);
/* Function to check for sending for pings */
int check_pings(struct clientinfo **,int *,struct clientinfo *);
/* Function to send a PING packet */
static int send_ping(struct clientinfo *);

#endif
