#ifndef _NETWORK_H_

#define _NETWORK_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <fcntl.h>
#include <unistd.h>
#include "parse.h"
#include "utility.h"
#include "client.h"
#include "channel.h"


/* Return values and constants */
#define NET_OK		0
#define NET_FAILED 	-1
#define NET_MAXLISTEN 100

int setup_tcp(struct sockaddr_in *);
struct parsed_cmd * p_recv(int);
int send_to_fd(int,struct clientinfo *,char *);
int send_numeric(int,char *,int,char *);
int send_raw(int,char *);
int send_to_channel(struct clientinfo *,struct channel *,char *);

#endif
